Resource
Orders
Orders, their files and downloads, access, licence keys and download emails.
The order object
Attributes
idstring, nullableExample:3e84eb8d-e1d9-4e92-a4b2-a419c7f1122fshopify_order_idstring, nullableExample:gid://shopify/Order/7555375595815namestring, nullableExample:#1077confirmation_numberstring, nullableExample:H5CZG3GZXordered_atstring, nullableExample:2026-10-26T14:19:15ZcustomerobjectShow 9 child attributesHide child attributes
idstring, nullableExample:b797db3a-cbc3-4643-804f-adf34c7f08d7shopify_customer_idstring, nullableExample:gid://shopify/Customer/9026290417959emailstring, nullableExample:shopper@example.comphoneanyfirst_namestring, nullableExample:Janelast_namestring, nullableExample:Doecountry_codeanylocaleanyunsubscribedboolean, nullableExample:false
totalobjectShow 2 child attributesHide child attributes
amountstring, nullableExample:1142.89currencystring, nullableExample:INR
statusobjectShow 8 child attributesHide child attributes
financialstring, nullableExample:paidfulfillmentstring, nullableExample:unfulfilledcancelled_atanypaid_atstring, nullableExample:2026-10-30T21:48:16Zflagged_as_fraudboolean, nullableExample:falsefraud_check_completedboolean, nullableExample:falsemarked_fulfilled_atanydelivery_conditions_metboolean, nullableExample:false
accessobjectShow 5 child attributesHide child attributes
statestring, nullableExample:activerevoked_atanyavailable_untilanydownload_reset_atstring, nullableExample:2026-10-30T22:19:10Zdownloads_countinteger, nullableExample:0
deliveryobjectShow 4 child attributesHide child attributes
email_sent_atstring, nullableExample:2026-10-30T22:34:30Zdelivery_failed_atanydownload_page_urlstring, nullableExample:https://example-store.myshopify.com/apps/filemonk/orders/…sourcestring, nullableExample:webhook
line_itemsarray of objectsShow 12 child attributesHide child attributes
idstring, nullableExample:5956bb41-dc65-45d5-b7d7-25f570598468digital_product_idstring, nullableExample:7ea3c05d-6f29-42b6-b24f-43260caeaa32titlestring, nullableExample:Watercolour Courseskustring, nullableExample:b0f5fbd0-f231-470f-b3d1-a392e3136a50quantityinteger, nullableExample:2shopify_line_item_idstring, nullableExample:gid://shopify/LineItem/18329329434919shopify_product_idstring, nullableExample:gid://shopify/Product/9642107044135shopify_variant_idstring, nullableExample:gid://shopify/ProductVariant/49417714893095attached_to_this_order_onlyboolean, nullableExample:falseaccessobjectShow 2 child attributesHide child attributes
revokedboolean, nullableExample:falserevoked_atany
preorderobjectShow 4 child attributesHide child attributes
enabledboolean, nullableExample:falselaunch_atanyreleasedboolean, nullableExample:truemessageany
filesarray of objectsShow 5 child attributesHide child attributes
idanyassetobjectShow 3 child attributesHide child attributes
idstring, nullableExample:7ea42f2a-6dbe-459c-b8a4-27b0eb823e52namestring, nullableExample:price-list.csvtypestring, nullableExample:file
download_countinteger, nullableExample:0watermarkobjectShow 2 child attributesHide child attributes
enabledboolean, nullableExample:falsestatusstring, nullableExample:not_required
licence_keysarray of anys
eu_withdrawalobjectShow 3 child attributesHide child attributes
consent_requiredboolean, nullableExample:falseconsented_atanyconsent_textany
shopify_tagsarray of anysimported_atanydeleted_atanycreated_atstring, nullableExample:2026-10-26T14:19:29Zupdated_atstring, nullableExample:2026-10-30T22:19:10Z
Endpoints
- GET
/orders - POST
/orders - GET
/orders/{id} - PATCH
/orders/{id} - DEL
/orders/{id} - GET
/orders/{id}/download_logs - GET
/orders/{id}/downloads - GET
/orders/{id}/emails - POST
/orders/{id}/files/attach - POST
/orders/{id}/files/detach - POST
/orders/{id}/fulfil - PUT
/orders/{id}/licences/{licence_id} - DEL
/orders/{id}/licences/{licence_id} - POST
/orders/{id}/licences/assign - PATCH
/orders/{id}/line_items/{line_item_id} - POST
/orders/{id}/reset_downloads - POST
/orders/{id}/resync - POST
/orders/{id}/send_email - GET
/orders/{id}/troubleshoot - POST
/orders/send_emails
The order object
{
"id": "3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f",
"shopify_order_id": "gid://shopify/Order/7555375595815",
"name": "#1077",
"confirmation_number": "H5CZG3GZX",
"ordered_at": "2026-10-26T14:19:15Z",
"customer": {
"id": "b797db3a-cbc3-4643-804f-adf34c7f08d7",
"shopify_customer_id": "gid://shopify/Customer/9026290417959",
"email": "shopper@example.com",
"phone": null,
"first_name": "Jane",
"last_name": "Doe",
"country_code": null,
"locale": null,
"unsubscribed": false
},
"total": {
"amount": "1142.89",
"currency": "INR"
},
"status": {
"financial": "paid",
"fulfillment": "unfulfilled",
"cancelled_at": null,
"paid_at": "2026-10-30T21:48:16Z",
"flagged_as_fraud": false,
"fraud_check_completed": false,
"marked_fulfilled_at": null,
"delivery_conditions_met": false
},
"access": {
"state": "active",
"revoked_at": null,
"available_until": null,
"download_reset_at": "2026-10-30T22:19:10Z",
"downloads_count": 0
},
"delivery": {
"email_sent_at": "2026-10-30T22:34:30Z",
"delivery_failed_at": null,
"download_page_url": "https://example-store.myshopify.com/apps/filemonk/orders/3e84eb8d-e1d9-4e92-a4b2-a419c7f1122f",
"source": "webhook"
},
"line_items": [
{
"id": "5956bb41-dc65-45d5-b7d7-25f570598468",
"digital_product_id": "7ea3c05d-6f29-42b6-b24f-43260caeaa32",
"title": "Watercolour Course",
"sku": "b0f5fbd0-f231-470f-b3d1-a392e3136a50",
"quantity": 2,
"shopify_line_item_id": "gid://shopify/LineItem/18329329434919",
"shopify_product_id": "gid://shopify/Product/9642107044135",
"shopify_variant_id": "gid://shopify/ProductVariant/49417714893095",
"attached_to_this_order_only": false,
"access": {
"revoked": false,
"revoked_at": null
},
"preorder": {
"enabled": false,
"launch_at": null,
"released": true,
"message": null
},
"files": [
{
"id": null,
"asset": {
"id": "7ea42f2a-6dbe-459c-b8a4-27b0eb823e52",
"name": "price-list.csv",
"type": "file"
},
"download_count": 0,
"watermark": {
"enabled": false,
"status": "not_required"
},
"licence_keys": []
},
{
"id": "66e2751c-9812-422c-864d-f8ce6a95c605",
"asset": {
"id": "96fbe30b-c819-4cb8-9666-814c0c8853f1",
"name": "Beginner's Guide.pdf",
"type": "file"
},
"download_count": 0,
"watermark": {
"enabled": true,
"status": "ready"
},
"licence_keys": []
}
]
}
],
"eu_withdrawal": {
"consent_required": false,
"consented_at": null,
"consent_text": null
},
"shopify_tags": [],
"imported_at": null,
"deleted_at": null,
"created_at": "2026-10-26T14:19:29Z",
"updated_at": "2026-10-30T22:19:10Z"
}